Saltar al contenido principal
POST
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
/
annotation
Crear una Anotación de Transacción
curl --request POST \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/annotation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "PIX",
  "transactionDate": "2026-02-25T21:06:38Z",
  "send": {
    "asset": "BRL",
    "value": "1000",
    "source": {
      "from": [
        {
          "accountAlias": "@external/BRL",
          "balanceKey": "default",
          "amount": {
            "asset": "BRL",
            "value": "1000"
          },
          "description": "Debit pix",
          "metadata": {
            "payerDocument": "12345678901",
            "channel": "pix"
          }
        }
      ]
    },
    "distribute": {
      "to": [
        {
          "accountAlias": "customer-brl-1",
          "balanceKey": "default",
          "amount": {
            "asset": "BRL",
            "value": "1000"
          },
          "description": "Credit pix",
          "metadata": {
            "orderId": "ORD-2025-0315-98765",
            "conciliationId": "CN-PIX-000123"
          }
        }
      ]
    }
  },
  "metadata": {
    "correlationId": "c6a2f1b0-1e3a-4771-9d7a-0d9f2a7a5e42",
    "e2eId": "E2E-7f2b1a3c9e5d4a0fb1",
    "initiatedBy": "system",
    "environment": "production"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parentTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "route": "<string>",
  "status": {
    "code": "<string>",
    "description": "<string>"
  },
  "amount": "<string>",
  "assetCode": "<string>",
  "chartOfAccountsGroupName": "<string>",
  "source": [
    "<string>"
  ],
  "destination": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "operations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountAlias": "<string>",
      "balanceId": "<string>",
      "balanceKey": "<string>",
      "description": "<string>",
      "type": "CREDIT",
      "assetCode": "<string>",
      "chartOfAccounts": "<string>",
      "route": "<string>",
      "amount": {
        "value": "<string>"
      },
      "balance": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "balanceAfter": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "status": {
        "code": "<string>",
        "description": "<string>"
      },
      "balanceAffected": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "metadata": {}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene Access Manager habilitado.

Content-Type
string

El tipo de medio del recurso. El valor recomendado es application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

X-Idempotency
string

Una clave única que garantiza la idempotencia de la transacción. Si no se proporciona, el sistema genera automáticamente un hash SHA-256 basado en el cuerpo de la solicitud. Las claves están delimitadas por organización y ledger.

Siempre valide el header de respuesta X-Idempotency-Replayed para distinguir transacciones nuevas de reproducciones en caché.

Consulte Reintentos e idempotencia para mejores prácticas.

X-TTL
integer

El tiempo de vida (TTL) de la clave de idempotencia, definido en segundos. Si no se proporciona, el valor predeterminado es 300 segundos (5 minutos). Solo se usa el TTL de la primera solicitud; cambiarlo en reintentos no tiene efecto.

Consulte Reintentos e idempotencia para más detalles.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la Organización asociada al Ledger.

ledger_id
string
requerido

El identificador único del Ledger asociado.

Cuerpo

application/json
send
object
requerido

An object containing information about the transaction that will be sent.

chartOfAccountsGroupName
string

The chart of accounts group name which categorizes this transaction under a specific group.

Maximum string length: 256
Ejemplo:

"FUNDING"

description
string

A description for the transaction.

Maximum string length: 256
code
string

Transaction code for reference.

Maximum string length: 100
Ejemplo:

"TR12345"

pending
boolean
predeterminado:false

Whether the transaction should be created in pending state.

route
string

Specifies the Transaction Route associated with the transaction. Important: When Transaction Routing validation is enabled for your Ledger, this field becomes mandatory and must match an existing id from your configured Transaction Routes. However, when validation is disabled (default behavior), this field is optional and accepts any free-form string.

transactionDate
string

The time when the transaction was made. Used to add past transactions. Must be a date in the past.

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

La respuesta incluye el header X-Idempotency-Replayed.

Si el valor es false, la transacción fue recién procesada. Si el valor es true, la respuesta es una repetición de una solicitud procesada anteriormente.

Consulte Reintentos e idempotencia para más detalles.

id
string<uuid>

The unique identifier of the transaction.

parentTransactionId
string<uuid> | null

El identificador único de la transacción padre/original para reversiones. Este campo es completado por el servidor cuando una transacción es revertida y debe ser tratado como solo lectura por los clientes.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

description
string

Description of the transaction.

route
string

Specifies the Transaction Route associated with the transaction.

status
object

The transaction status (pending, completed, reversed).

amount
string

The sent amount.

assetCode
string

The name of the asset used in the operation.

chartOfAccountsGroupName
string

The name of the chart-of-accounts group.

source
string[]

The list of accounts used as source.

destination
string[]

The list of accounts used as destination.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

operations
object[]
metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.